#include <iostream>
#include <algorithm>
#include <string>
#include <cmath>
#include <sstream>
using namespace std;
int ntacifra(int a,int n) 
{
	while(a>=pow(10,n)) 
	{
		a/=10;
	}
	return a;
}
int main()
{
	long long a,b,c,e;
	long long f[2];
	string a1,b1,c1;
	string d="";
	cin>>a>>b>>c;
	a1=to_string(a);
	b1=to_string(b);
	c1=to_string(c);
	if((a==b)&&(a==c))
	{
		d=a1+b1+c1;
		cout<<d<<endl;
	}
	else
	{
		for(int i=1;i<=f[2];i++)
		{
			f[0]=ntacifra(a,i);			
			f[1]=ntacifra(b,i);						
			f[2]=ntacifra(c,i);
			sort(f,f+3);			
			if(f[0]==f[2])
			{
				continue;
			}
			else
			{
				if(f[0]==0)
				{
					if(f[1]==f[2])
					{
						continue;
					}
					else
					{
						e=f[2];
						if(e==ntacifra(a,i))
						{
							d+=a1;
						}
						else if(e==ntacifra(b,i))
						{
							d+=b1;
						}
						else
						{
							d+=c1;
						}
						e=f[1];
						if(e==ntacifra(a,i))
						{
							d+=a1;
						}
						else if(e==ntacifra(b,i))
						{
							d+=b1;
						}
						else
						{
							d+=c1;
						}
						break;
					}
				}
				else if(f[0]==f[1])
				{
					e=f[2];
					if(e==ntacifra(a,i))
					{
						d+=a1;
						a=0;
					}
					else if(e==ntacifra(b,i))
					{
						d+=b1;
						b=0;
					}
					else
					{
						d+=c1;
						c=0;
					}
					continue;
				}
				else
				{
					e=f[2];
					if(e==ntacifra(a,i))
					{
						d+=a1;
					}
					else if(e==ntacifra(b,i))
					{
						d+=b1;
					}
					else
					{
						d+=c1;
					}
					e=f[1];
					if(e==ntacifra(a,i))
					{
						d+=a1;
					}
					else if(e==ntacifra(b,i))
					{
						d+=b1;
					}
					else
					{
						d+=c1;
					}
					e=f[0];
					if(e==ntacifra(a,i))
					{
						d+=a1;
					}
					else if(e==ntacifra(b,i))
					{
						d+=b1;
					}
					else
					{
						d+=c1;
					}
					break;
				}
			}
		}
		cout<<d<<endl;
	}
	return 0;
}